Index: sys/netinet6/ip6_output.c
===================================================================
RCS file: /cvsroot/src/sys/netinet6/ip6_output.c,v
retrieving revision 1.235
diff -p -u -r1.235 ip6_output.c
--- sys/netinet6/ip6_output.c	19 Apr 2024 00:55:35 -0000	1.235
+++ sys/netinet6/ip6_output.c	4 May 2024 12:53:45 -0000
@@ -621,6 +621,16 @@ ip6_output(
 		dst = satocsin6(rtcache_getdst(ro));
 
 	/*
+	 * drop if there is no valid route
+	 */
+	if (dst == NULL) {
+		IP6_STATINC(IP6_STAT_NOROUTE);
+		in6_ifstat_inc(ifp, ifs6_out_discard);
+		error = ENETUNREACH;
+		goto bad;
+	}
+
+	/*
 	 * XXXXXX: original code follows:
 	 */
 	if (!IN6_IS_ADDR_MULTICAST(&ip6->ip6_dst))
